Bug 256173 - python.mk, devel/py-setuptools: update to latest version, preserving py-setuptools44 for python2
Summary: python.mk, devel/py-setuptools: update to latest version, preserving py-setup...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D30473
Keywords:
Depends on: 256306 256307 256308
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-26 16:28 UTC by Dmitry Marakasov
Modified: 2021-06-03 11:50 UTC (History)
3 users (show)

See Also:
antoine: exp-run?


Attachments
Patch (5.99 KB, patch)
2021-05-26 16:28 UTC, Dmitry Marakasov
no flags Details | Diff
Patch (5.87 KB, patch)
2021-05-26 20:23 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2021-05-26 16:28:44 UTC
Created attachment 225286 [details]
Patch

- Copy devel/py-setuptools to devel/py-setuptools44
- Update the former to latest 57.0.0 which supports python3.10
- Use the latter for python2

This allows us to have latest setuptools and working python3.10
without breaking python2 modules for a few ports which still require
them.

Differential: https://reviews.freebsd.org/D30473
Comment 1 Dmitry Marakasov freebsd_committer 2021-05-26 20:23:27 UTC
Created attachment 225291 [details]
Patch

Limit setuptools44 with python 2.7 only and avoid need for CONFLICTS
Comment 2 Dmitry Marakasov freebsd_committer 2021-05-26 20:27:43 UTC
Antoine, should I request exp-run explicitly? IMO this is ready for testing the approach.
Comment 3 Antoine Brodin freebsd_committer 2021-05-26 20:46:15 UTC
(In reply to Dmitry Marakasov from comment #2)
exp-run is already requested explicitely
Comment 4 Wen Heping freebsd_committer 2021-05-27 03:14:13 UTC
Shall we update numpy with the same way?
We update numpy to 1.20.3 and preserving py-numpy116 for python2.

wen
Comment 5 Antoine Brodin freebsd_committer 2021-05-27 08:04:31 UTC
(In reply to Wen Heping from comment #4)
Please no,  we don't need any py27 flavor for numpy so please don't add it back
Comment 6 Wen Heping freebsd_committer 2021-05-27 11:29:26 UTC
(In reply to Antoine Brodin from comment #5)
I did not notice numpy use python3.6+ now, sorry!

wen
Comment 8 Antoine Brodin freebsd_committer 2021-05-31 08:24:01 UTC
(In reply to Antoine Brodin from comment #7)
On other archs, the new failures are similar
Comment 9 Dmitry Marakasov freebsd_committer 2021-05-31 19:37:36 UTC
Thanks!

All 3 ports can be fixed by updating them to latest versions, PRs submitted.
Comment 10 commit-hook freebsd_committer 2021-06-03 11:45:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7a4ce8f831c4911061f4f465b4bf1e830267d4dc

commit 7a4ce8f831c4911061f4f465b4bf1e830267d4dc
Author:     Dmitry Marakasov <amdmi3@FreeBSD.org>
AuthorDate: 2021-05-26 15:17:56 +0000
Commit:     Dmitry Marakasov <amdmi3@FreeBSD.org>
CommitDate: 2021-06-03 11:36:56 +0000

    devel/py-setuptools: update to 57.0.0 preserving old version

    - Copy devel/py-setuptools to devel/py-setuptools44 (for Python 2.7 support)
    - Update devel/py-setuptool to 57.0.0 (adding support for Python 3.10)
    - Update Mk/Uses/python.mk to chose between py-setuptools and
      py-setuptools44 based on Python version

    This allows us to have latest setuptools and working Python 3.10
    without breaking packages requiring Python 2 support for remaining
    reports that require it.

    Exp-run showed 3 ports failing to build with latest setuptools and
    they were fixed.

    PR:                     256173
    Exp-run by:             antoine
    Reviewed by:            koobs (python)
    Approved by:            koobs (python)
    Differential_Revision:  https://reviews.freebsd.org/D30473

 Mk/Uses/python.mk                                  |  8 +++-
 devel/Makefile                                     |  1 +
 devel/py-setuptools/Makefile                       |  5 +--
 devel/py-setuptools/distinfo                       |  6 +--
 devel/py-setuptools44/Makefile (new)               | 49 ++++++++++++++++++++++
 devel/py-setuptools44/distinfo (new)               |  3 ++
 .../files/easy-install.pth.dist (new)              |  2 +
 devel/py-setuptools44/files/pkg-message.in (new)   |  8 ++++
 devel/py-setuptools44/pkg-descr (new)              | 10 +++++
 9 files changed, 85 insertions(+), 7 deletions(-)